commit:     c37ccdbe938ef31a9e66bdf943fb47b105183264
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 11 18:21:15 2019 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Fri Oct 11 20:50:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c37ccdbe

app-crypt/yubikey-manager-qt: bump to 1.1.3

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>

 app-crypt/yubikey-manager-qt/Manifest              |  1 +
 .../yubikey-manager-qt-1.1.3.ebuild                | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-crypt/yubikey-manager-qt/Manifest 
b/app-crypt/yubikey-manager-qt/Manifest
index aff2674d97a..42fa967fd2f 100644
--- a/app-crypt/yubikey-manager-qt/Manifest
+++ b/app-crypt/yubikey-manager-qt/Manifest
@@ -1,2 +1,3 @@
 DIST yubikey-manager-qt-1.1.1.tar.gz 10893572 BLAKE2B 
22c37332601986495da8c70d9867dc04ad565ea06b38e219ed465586d741ddcb177ada9d5f74c04b46ddd2a5b7c445f05c3055ba1fd61e0696226541dbfb2bce
 SHA512 
e1460abf024f045bffff2cf17a1b8fde2eb508b99957198d8de251315684c9fd591a93b3ad8063da2509ab7f054dce40a4267c1cc97c9dcc734ee18215070fe8
 DIST yubikey-manager-qt-1.1.2.tar.gz 11175714 BLAKE2B 
ee30d8d44a8fdec60cd462db7d67689d4206afa778904cbfe3df97b4bca25342cbb9cea5570211842d7feb8194043fcc9507f9c3d47ca7b588ba3d6250344536
 SHA512 
0e0bc304689170ba73ea41373c3a6a534678b04b638316480d48b7e7a7d415f8a97e2130983a5ff6e696cf271486953c8155589a6eb9ecf5bd33bb0c98fe70a6
+DIST yubikey-manager-qt-1.1.3.tar.gz 13316325 BLAKE2B 
765634b05fff9efdd5ec5e91e0a5de7f04144476b83f7b3ba8a0c8a1bc95ca7132f25e193afca2bec17fe377c683063a14657efc24fb047a64a8f4498c7abaed
 SHA512 
84bcca3f74967ba8aa470b8dd6c8699ff6a93a85ce942934a1d0cd674a4c507ba297d9a5ebb40bae3476ea713965a7bb3816dad1110a045c338f070eb249f02b

diff --git a/app-crypt/yubikey-manager-qt/yubikey-manager-qt-1.1.3.ebuild 
b/app-crypt/yubikey-manager-qt/yubikey-manager-qt-1.1.3.ebuild
new file mode 100644
index 00000000000..8efcc2e7e4e
--- /dev/null
+++ b/app-crypt/yubikey-manager-qt/yubikey-manager-qt-1.1.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{5,6} )
+
+inherit eutils qmake-utils python-single-r1
+
+DESCRIPTION="Cross-platform application for configuring any YubiKey over all 
USB transports"
+HOMEPAGE="https://developers.yubico.com/yubikey-manager-qt 
https://github.com/Yubico/yubikey-manager-qt";
+SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+DEPEND="${PYTHON_DEPS}
+       >=app-crypt/yubikey-manager-1.0.0[${PYTHON_USEDEP}]
+       <app-crypt/yubikey-manager-4.0.0[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/pyotherside[${PYTHON_USEDEP}]
+       dev-qt/qtcore:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgraphicaleffects:5
+       dev-qt/qtgui:5
+       dev-qt/qtquickcontrols:5[widgets]
+       dev-qt/qtquickcontrols2:5[widgets]
+       dev-qt/qtsingleapplication[qt5(+),X]
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+       default
+
+       sed -i -e "s/ykman-cli//" ${PN}.pro || die
+       sed -e "/CONFIG += c++11/a CONFIG += qtsingleapplication" \
+               -i ykman-gui/ykman-gui.pro || die
+}
+
+src_configure() {
+       eqmake5
+}
+
+src_install() {
+       emake install INSTALL_ROOT="${D}"
+
+       domenu resources/ykman-gui.desktop
+       doicon -s 128 resources/icons/ykman.png
+       doicon -s scalable resources/icons/ykman.svg
+
+       einstalldocs
+}

Reply via email to